<template>
    <el-upload action="#" list-type="picture-card" :auto-upload="false" :limit="1">
      <el-icon><Plus /></el-icon>
  
      <template #file="{ file }">
        <div>
          <img class="el-upload-list__item-thumbnail" :src="file.url" alt="" />
          <span class="el-upload-list__item-actions">
            <span
              class="el-upload-list__item-preview"
              @click="handlePictureCardPreview(file)"
            >
              <el-icon><zoom-in /></el-icon>
            </span>
            <span
              v-if="!disabled"
              class="el-upload-list__item-delete"
              @click="handleDownload(file)"
            >
              <el-icon><Download /></el-icon>
            </span>
            <span
              v-if="!disabled"
              class="el-upload-list__item-delete"
              @click="handleRemove(file)"
            >
              <el-icon><Delete /></el-icon>
            </span>
          </span>
        </div>
      </template>
    </el-upload>
  
    <el-dialog v-model="dialogVisible">
      <img w-full :src="dialogImageUrl" alt="Preview Image" />
    </el-dialog>
  </template>
  <script lang="ts" setup>
  import { onMounted, reactive, ref } from 'vue'
  import { Delete, Download, Plus, ZoomIn } from '@element-plus/icons-vue'
  import type { UploadFile } from 'element-plus'
//   import qs from 'qs';
// import axios from 'axios'
//   onMounted(() => {
//     axios.post('/api/schoolCloud/pages/api/schoolCloud/assets/image/avaterser.php', qs.stringify({uid:localStorage.getItem("Userid")}))
//                 .then(res => {                    
//                   userList.value=res.data;
//                   console.log(userList);
                  
//                 // 根据返回的响应数据进行相应的操作
//                 }).catch(err => {
//                 console.log(err)
//                 })
//   })
  const userList = ref({
                        uid:1,
                        avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                        name:'靛蓝二乘',
                        sign:'时有好梦，亦怀爱意，向人间老去',
                        postNum:12,
                        Fans:11,
                        Atten:20,
                    },)
  const dialogImageUrl = ref('')
  const dialogVisible = ref(false)
  const disabled = ref(false)
  
  const handleRemove = (file: UploadFile) => {
    console.log(file)
  }
  
  const handlePictureCardPreview = (file: UploadFile) => {
    dialogImageUrl.value = file.url!
    dialogVisible.value = true
  }
  
  const handleDownload = (file: UploadFile) => {
    console.log(file)
  }
  </script>